aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xexport-pad18
1 files changed, 18 insertions, 0 deletions
diff --git a/export-pad b/export-pad
new file mode 100755
index 0000000..fd17d2a
--- /dev/null
+++ b/export-pad
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+#
+# Export etherpad content into a file.
+#
+
+# Parameters
+URL="$1"
+FILE="$2"
+BASENAME="`basename $0`"
+
+# Check
+if [ -z "$FILE" ]; then
+ echo "usage: $BASENAME <url> <file>"
+ exit 1
+fi
+
+# Dispatch
+torify curl $URL/export/txt > $FILE